import { useEffect, useState } from 'react';
var useGetBlobAsVideoSrcEffect = function useGetBlobAsVideoSrcEffect(_ref) {
  var src = _ref.src,
    videoNode = _ref.videoNode;
  var _useState = useState(typeof src === 'string' ? src : null),
    videoSrc = _useState[0],
    setVideoSrc = _useState[1];
  useEffect(function () {
    var _videoNode$current;
    if (typeof src === 'string' || !window) return;
    var objectUrl = URL.createObjectURL(src);
    setVideoSrc(objectUrl);
    (_videoNode$current = videoNode.current) == null ? void 0 : _videoNode$current.load();
    return function () {
      window.URL.revokeObjectURL(objectUrl);
      setVideoSrc(null);
    };
  }, [src, videoNode]);
  return videoSrc;
};
export default useGetBlobAsVideoSrcEffect;